/**
 * playlist.h: Playlist
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id: playlist.h 256 2009-03-31 22:59:57Z hitman_47 $
 */

#ifndef __AUDIO_PLAYLIST_H
#define __AUDIO_PLAYLIST_H

#include <queue> // FIFO list
#include <string>
#include <map>

class cPlaylist
{
public:
	std::queue<std::map<long, std::map<std::string, std::string> > > m_trackList;
	virtual std::string GetNextsongurl(void);
	virtual int PlsClear(void);
};

#endif // __AUDIO_PLAYLIST_H
